SyncRequest (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair.messages

## Class SyncRequest

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.SyncRequest

-     public class SyncRequest
      extends RepairMessage

  Body part of SYNC_REQUEST repair message. Request `src` node to sync data with `dst` node for range `ranges`.
  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyncRequest.SyncRequestSerializer`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `dst`
    `java.net.InetAddress` | `initiator`
    `java.util.Collection<Range<Token>>` | `ranges`
    `static RepairMessage.MessageSerializer` | `serializer`
    `java.net.InetAddress` | `src`

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncRequest(RepairJobDesc desc, java.net.InetAddress initiator, java.net.InetAddress src, java.net.InetAddress dst, java.util.Collection<Range<Token>> ranges)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static RepairMessage.MessageSerializer serializer

    - #### initiator

          public final java.net.InetAddress initiator

    - #### src

          public final java.net.InetAddress src

    - #### dst

          public final java.net.InetAddress dst

    - #### ranges

          public final java.util.Collection<Range<Token>> ranges

  - ### Constructor Detail

    - #### SyncRequest

          public SyncRequest(RepairJobDesc desc,
                             java.net.InetAddress initiator,
                             java.net.InetAddress src,
                             java.net.InetAddress dst,
                             java.util.Collection<Range<Token>> ranges)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation